GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
bound_probe Struct Reference

`#include "probe.h"`

## Public Member Functions
| bound_probe ()
| bound_probe (probe *probe_, struct objfile *objfile_)

## Public Attributes
probe * | prob = NULL
struct objfile * | objfile = NULL

## Detailed Description

Definition at line 241 of file probe.h.

## Constructor & Destructor Documentation

## ◆ bound_probe() [1/2]

bound_probe::bound_probe | ( |  | ) |
| inline

Definition at line 244 of file probe.h.

## ◆ bound_probe() [2/2]

bound_probe::bound_probe | ( | probe * | probe_,
|  | struct objfile * | objfile_
| ) |  |
| inline

Definition at line 248 of file probe.h.

## Member Data Documentation

## ◆ objfile

struct objfile* bound_probe::objfile = NULL

Definition at line 256 of file probe.h.

Referenced by bkpt_probe_insert_location(), bkpt_probe_remove_location(), compare_probes(), and find_probe_by_pc().

## ◆ prob

probe* bound_probe::prob = NULL

Definition at line 253 of file probe.h.

Referenced by bkpt_probe_insert_location(), bkpt_probe_remove_location(), compare_probes(), compile_probe_arg(), compute_probe_arg(), fetch_probe_arguments(), and find_probe_by_pc().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/probe.h